Package com.sas.lsaf.security.user

## Class AccountInfo

- java.lang.Object
- - com.sas.lsaf.security.user.AccountInfo

- All Implemented Interfaces:
    `java.io.Serializable`

      public class AccountInfo
      extends java.lang.Object
      implements java.io.Serializable

  Account information that details account activation, licensing, and external authentication settings, if applicable.
  Since:
    1.2
  See Also:
    `User.getAccountInfo()`, `UserService.getUserByUserId(String)`, Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `AccountInfo.AccountType` | The list of supported account types.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AccountInfo​(AccountInfo.AccountType accountType, java.util.Date activationDate, java.util.Date deactivationDate, boolean active, java.lang.String licenseTypeId, java.lang.String authenticator, java.lang.String authenticatorUsername)` | Constructor.
    `AccountInfo​(AccountInfo.AccountType accountType, java.util.Date activationDate, java.util.Date deactivationDate, boolean active, java.lang.String licenseTypeId, java.lang.String authenticator, java.lang.String authenticatorUsername, java.lang.String singleSignOnId, boolean singleSignOnEnabled)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `AccountInfo.AccountType` | `getAccountType()` | Gets the type of user account.
    `java.util.Date` | `getActivationDate()` | Gets the activation date of the user account.
    `java.lang.String` | `getAuthenticator()` | Gets the authentication provider id for the user account.
    `java.lang.String` | `getAuthenticatorUsername()` | Gets the authentication provider username of the user account.
    `java.util.Date` | `getDeactivationDate()` | Gets the deactivation date of the user account.
    `java.lang.String` | `getLicenseTypeId()` | Gets the id of the license type of the user account.
    `java.lang.String` | `getSingleSignOnId()` | Gets the id for single sign-on authentication.
    `int` | `hashCode()` |
    `boolean` | `isActive()` | Gets the Boolean value that indicates whether the user account is currently active.
    `boolean` | `isSingleSignOnEnabled()` | Gets the boolean value to indicate if single sign-on is enabled.
    `void` | `setAccountType​(AccountInfo.AccountType accountType)` | Sets the type of the user account.
    `void` | `setActivationDate​(java.util.Date activationDate)` | Sets the activation date of the user account.
    `void` | `setActive​(boolean active)` | Sets the Boolean value that indicates whether the user account is currently active.
    `void` | `setDeactivationDate​(java.util.Date deactivationDate)` | Sets the deactivation date of the user account.
    `void` | `setLicenseTypeId​(java.lang.String licenseTypeId)` | Sets the id of the license type of the user account.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AccountInfo

          public AccountInfo​(AccountInfo.AccountType accountType,
                             java.util.Date activationDate,
                             java.util.Date deactivationDate,
                             boolean active,
                             java.lang.String licenseTypeId,
                             java.lang.String authenticator,
                             java.lang.String authenticatorUsername)

      Constructor.
      Parameters:
        `accountType` - the type of user account.
        `activationDate` - the activation date of the user account.
        `deactivationDate` - the deactivation date of the user account.
        `active` - the Boolean value that indicates whether the user account is currently active.
        `licenseTypeId` - the id of the license type of the user account.
        `authenticator` - the authentication provider id for the user account.
        `authenticatorUsername` - the authenticator username of the user account.

    - #### AccountInfo

          public AccountInfo​(AccountInfo.AccountType accountType,
                             java.util.Date activationDate,
                             java.util.Date deactivationDate,
                             boolean active,
                             java.lang.String licenseTypeId,
                             java.lang.String authenticator,
                             java.lang.String authenticatorUsername,
                             java.lang.String singleSignOnId,
                             boolean singleSignOnEnabled)

      Constructor.
      Parameters:
        `accountType` - the type of user account.
        `activationDate` - the activation date of the user account.
        `deactivationDate` - the deactivation date of the user account.
        `active` - the Boolean value that indicates whether the user account is currently active.
        `licenseTypeId` - the id of the license type of the user account.
        `authenticator` - the authentication provider id for the user account.
        `authenticatorUsername` - the authenticator username of the user account.
        `singleSignOnId` - The id for single sign-on authentication.
        `singleSignOnEnabled` - The boolean value to indicate if single sign-on is enabled.

  - ### Method Detail

    - #### getAccountType

          public AccountInfo.AccountType getAccountType()

      Gets the type of user account.
      Returns:
        The type of the user account.

    - #### setAccountType

          public void setAccountType​(AccountInfo.AccountType accountType)

      Sets the type of the user account.
      Parameters:
        `accountType` - the type of the user account.

    - #### getActivationDate

          public java.util.Date getActivationDate()

      Gets the activation date of the user account.
      Returns:
        The activation date of the user account.

    - #### setActivationDate

          public void setActivationDate​(java.util.Date activationDate)

      Sets the activation date of the user account.
      Parameters:
        `activationDate` - the activation date of the user account.

    - #### getDeactivationDate

          public java.util.Date getDeactivationDate()

      Gets the deactivation date of the user account.
      Returns:
        The deactivation date of the user account.

    - #### setDeactivationDate

          public void setDeactivationDate​(java.util.Date deactivationDate)

      Sets the deactivation date of the user account.
      Parameters:
        `deactivationDate` - the deactivation date of the user account.

    - #### isActive

          public boolean isActive()

      Gets the Boolean value that indicates whether the user account is currently active.
      Returns:
        The Boolean value that indicates whether the user account is currently active.

    - #### setActive

          public void setActive​(boolean active)

      Sets the Boolean value that indicates whether the user account is currently active.
      Parameters:
        `active` - the Boolean value that indicates whether the user account is currently active.

    - #### getAuthenticator

          public java.lang.String getAuthenticator()

      Gets the authentication provider id for the user account.
      Returns:
        The authenticator of the user account.
      See Also:
        `UserService.getAuthenticationProviderInfos()`

    - #### getAuthenticatorUsername

          public java.lang.String getAuthenticatorUsername()

      Gets the authentication provider username of the user account. If this is provided then it will be used when authenticating against the external authentication system.
      Returns:
        The authenticator username of the user account.

    - #### getLicenseTypeId

          public java.lang.String getLicenseTypeId()

      Gets the id of the license type of the user account.
      Returns:
        The license type id of the user account.

    - #### setLicenseTypeId

          public void setLicenseTypeId​(java.lang.String licenseTypeId)

      Sets the id of the license type of the user account. See `UserService.getLicenseTypes()`
      Parameters:
        `licenseTypeId` - the id of the license type to set for the user account.

    - #### getSingleSignOnId

          public java.lang.String getSingleSignOnId()

      Gets the id for single sign-on authentication.
      Returns:
        The id for single sign-on authentication.

    - #### isSingleSignOnEnabled

          public boolean isSingleSignOnEnabled()

      Gets the boolean value to indicate if single sign-on is enabled.
      Returns:
        True if single sign-on is enabled for the system. Otherwise, false.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`